package gov.va.med.pharmacy.persistence.dao;

import java.util.List;

import gov.va.med.pharmacy.persistence.managepharmacy.ManagePharmacyFilter;
import gov.va.med.pharmacy.persistence.model.PharmacyEntity;



public interface PharmacyDao {


	List<PharmacyEntity> find(ManagePharmacyFilter pharmacyFilterModel);
	
	PharmacyEntity findByNCPDPId(String NCPDPId);
	
	PharmacyEntity findById(Long pharmacyId);
	
	void save(PharmacyEntity pharmacy);
	
	void updatePharmacyInfo(PharmacyEntity pharmacy);
	
	
}
